# openstack.orchestration.v1.software_deployment

## The SoftwareDeployment Class

The `SoftwareDeployment` class inherits from `Resource`.

class openstack.orchestration.v1.software_deployment.SoftwareDeployment(_synchronized=False, connection=None, **attrs)

  The base resource

  Parameters:

    - _synchronized (bool) – This is not intended to be used directly. See `new()` and `existing()`.

    - connection (openstack.connection.Connection) – Reference to the Connection being used. Defaults to None to allow Resource objects to be used without an active Connection, such as in unit tests. Use of `self._connection` in Resource code should protect itself with a check for None.

  resource_key = 'software_deployment'

    Singular form of key for resource.

  resources_key = 'software_deployments'

    Plural form of key for resource.

  base_path = '/software_deployments'

    The base part of the URI for this resource.

  allow_create = True

    Allow create operation for this resource.

  allow_list = True

    Allow list operation for this resource.

  allow_fetch = True

    Allow get operation for this resource.

  allow_delete = True

    Allow delete operation for this resource.

  allow_commit = True

    Allow update operation for this resource.

  action

    The stack action that triggers this deployment resource.

  config_id

    The UUID of the software config resource that runs when applying to the server.

  input_values

    A map containing the names and values of all inputs to the config.

  output_values

    A map containing the names and values from the deployment.

  server_id

    The UUID of the compute server to which the configuration applies.

  stack_user_project_id

    The ID of the authentication project which can also perform operations on this deployment.

  status

    Current status of the software deployment.

  status_reason

    Error description for the last status change.

  created_at

    The date and time when the software deployment resource was created.

  updated_at

    The date and time when the software deployment resource was created.

  create(session, prepend_key=False, *args, **kwargs)

    Create a remote resource based on this instance.

    Parameters:

      - session (`Adapter`) – The session to use for making this request.

      - prepend_key – A boolean indicating whether the resource_key should be prepended in a resource creation request. Default to True.

      - base_path (str) – Base part of the URI for creating resources, if different from `base_path`.

      - resource_request_key (str) – Overrides the usage of self.resource_key when prepending a key to the request body. Ignored if prepend_key is false.

      - resource_response_key (str) – Overrides the usage of self.resource_key when processing response bodies. Ignored if prepend_key is false.

      - microversion (str) – API version to override the negotiated one.

      - params (dict) – Additional params to pass.

    Returns:

      This `Resource` instance.

    Raises:

      `MethodNotSupported` if `Resource.allow_create` is not set to `True`.

  commit(session, prepend_key=False, *args, **kwargs)

    Commit the state of the instance to the remote resource.

    Parameters:

      - session (`Adapter`) – The session to use for making this request.

      - prepend_key – A boolean indicating whether the resource_key should be prepended in a resource update request. Default to True.

      - retry_on_conflict (bool) – Whether to enable retries on HTTP CONFLICT (409). Value of `None` leaves the Adapter defaults.

      - base_path (str) – Base part of the URI for modifying resources, if different from `base_path`.

      - microversion (str) – API version to override the negotiated one.

      - kwargs (dict) – Parameters that will be passed to _prepare_request()

    Returns:

      This `Resource` instance.

    Raises:

      `MethodNotSupported` if `Resource.allow_commit` is not set to `True`.

this page last updated: 2026-01-16 23:06:19

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.